#ifndef RTW_HEADER_BCU_h_
#define RTW_HEADER_BCU_h_
#ifndef BCU_COMMON_INCLUDES_
#define BCU_COMMON_INCLUDES_
#include "rtwtypes.h"
#endif

#include "BCU_types.h"
#include "zero_crossing_types.h"

#include "BCUCal.h"
#include "BCUDisp.h"

#ifndef rtmGetErrorStatus
#define rtmGetErrorStatus(rtm)         ((rtm)->errorStatus)
#endif

#ifndef rtmSetErrorStatus
#define rtmSetErrorStatus(rtm, val)    ((rtm)->errorStatus = (val))
#endif

#ifndef rtmGetErrorStatusPointer
#define rtmGetErrorStatusPointer(rtm)  ((const char_T **)(&((rtm)->errorStatus)))
#endif

struct tag_RTM_BCU_T {
  const char_T *errorStatus;
};

extern void BCU_initialize(void);
extern void BCU_step(void);
extern void BCU_terminate(void);
extern RT_MODEL_BCU_T *const BCU_M;

#endif

