#include "BCU.h"
#include "rtwtypes.h"
#include "BCUDisp.h"
#define DAM_MDLREF_HIDE_CHILD_
#include "DAM.h"
#define IH100_MDLREF_HIDE_CHILD_
#include "IH100.h"
#define SOC_MDLREF_HIDE_CHILD_
#include "SOC.h"

static RT_MODEL_BCU_T BCU_M_;
RT_MODEL_BCU_T *const BCU_M = &BCU_M_;
void BCU_step(void)
{
  IH100(&ihd_tm_parkTime);
  DAM();
  SOC();
}

void BCU_initialize(void)
{
  rted_tm_month = ((uint8_T)1U);
  rted_tm_day = ((uint8_T)1U);
  sohd_pct_bcuSoh = 100.0F;
  DAM_initialize(rtmGetErrorStatusPointer(BCU_M));
  IH100_initialize(rtmGetErrorStatusPointer(BCU_M));
  SOC_initialize(rtmGetErrorStatusPointer(BCU_M));
  ihd_tm_dayEi = 1U;
  ihd_tm_dayEo = 1U;
  ihd_tm_monthEi = 1U;
  ihd_tm_monthEo = 1U;
  IH100_Init();
  DAM_Init();
  SOC_Init();
}

void BCU_terminate(void)
{
}
